Page MenuHomePhabricator

Make mobileapps & proton swagger spec compliant
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2019, 3:37 PM
Jhernandez triaged this task as High priority.Mar 13 2019, 3:37 PM
Tgr added a project: Proton.Apr 2 2019, 9:52 PM
Tgr added a subscriber: Tgr.
MSantos claimed this task.Apr 3 2019, 2:47 PM

Change 504079 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/mobileapps@master] WIP: Use upstream swagger-ui

https://gerrit.wikimedia.org/r/504079

Change 504891 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/chromium-render@master] Use upstream swagger-ui

https://gerrit.wikimedia.org/r/504891

Change 508825 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/mobileapps@master] Use upstream swagger-ui

https://gerrit.wikimedia.org/r/508825

Change 508825 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Use upstream swagger-ui

https://gerrit.wikimedia.org/r/508825

Change 514414 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/mobileapps@master] Update spec to OpenAPI 3.0

https://gerrit.wikimedia.org/r/514414

Change 504079 abandoned by MSantos:
Use upstream swagger-ui

Reason:
Patch sliptted into more than one change. When Ibea93c3b790f2624f63380a8bcde95221f438ced is merged all functionality here will be fulfilled.

https://gerrit.wikimedia.org/r/504079

MSantos changed the task status from Open to Stalled.Jun 18 2019, 10:24 PM
MSantos updated the task description. (Show Details)

Moving to blocked to reflect reality. Blocked until T225707 is resolved.

Change 520273 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/chromium-render@master] Update swagger spec to 3.0

https://gerrit.wikimedia.org/r/520273

MSantos changed the task status from Stalled to Open.Jul 2 2019, 5:01 PM

Change 514414 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Update spec to OpenAPI 3.0

https://gerrit.wikimedia.org/r/514414

Change 520273 merged by jenkins-bot:
[mediawiki/services/chromium-render@master] Update swagger spec to 3.0

https://gerrit.wikimedia.org/r/520273

@Pchelolo and @mobrovac we tried to deploy mobileapps a while ago and service-checker complained about.

I'm marking this as stalled for now, but don't know the criteria to push these changes forward, could you outline those, please? Which means, what needs to be deployed/developed so we can change the services spec swagger version.

Service-checker supports swagger 3 definitions. Do you have any more info about what was in complained about?

Also, when upgrading RESTBase we found it useful to include a spec validity unit test.

Change 504891 abandoned by MSantos:
Use upstream swagger-ui

Reason:
This should be abandoned in favor of I07489ed86738fa0caedc897e6c06412f10e040ef

https://gerrit.wikimedia.org/r/504891

Mentioned in SAL (#wikimedia-operations) [2019-08-15T17:58:11Z] <mbsantos@deploy1001> Started deploy [proton/deploy@fb0b2a5]: Update chromium-renderer to 3f1cc72 (T218220)

Mentioned in SAL (#wikimedia-operations) [2019-08-15T17:58:53Z] <mbsantos@deploy1001> Finished deploy [proton/deploy@fb0b2a5]: Update chromium-renderer to 3f1cc72 (T218220) (duration: 00m 43s)

Change 530437 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/chromium-render@master] Fix: swagger spec x-amples schema

https://gerrit.wikimedia.org/r/530437

Change 530437 merged by jenkins-bot:
[mediawiki/services/chromium-render@master] Fix: swagger spec x-amples schema

https://gerrit.wikimedia.org/r/530437

MSantos closed this task as Resolved.Jan 6 2020, 4:22 PM